Download it now!
Bug 97717 - SVG opacity value of below 0.30 not visible
Summary: SVG opacity value of below 0.30 not visible
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.1.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:svg, regression
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-10 16:38 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-21 02:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (348 bytes, image/svg+xml)
2016-02-17 14:13 UTC, Xisco Faulí
Details
Comparison between Chrome and Libreoffice (33.73 KB, image/jpeg)
2016-07-22 08:11 UTC, Xisco Faulí
Details
ubuntu.svg - LibreOfficeDev Draw 6.1 beta 2 (31.77 KB, image/png)
2018-06-20 13:25 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-10 16:38:57 UTC
Steps:
1) Open Writer
2) Insert https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/ubuntu.svg
3) Notice that there isnt a shadow behind the shape

Regression as the shadow appears in 5.0.4.2.

Relevant SVG code: <g transform="translate(5,5)" opacity="0.125">

Version: 5.2.0.0.alpha0+
Build ID: fea95da81260bc7eabe7ece595829009b2db3e62
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-10_01:41:22
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2016-02-12 15:26:45 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 2 Christina Rossmanith 2016-02-14 21:02:11 UTC
Earliest affected versions seems to be wrong. I have installed

Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737

which displays the shadow.
Comment 3 Buovjaga 2016-02-15 06:17:29 UTC
You are right.

Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)
Comment 4 Yousuf Philips (jay) (retired) 2016-02-15 19:14:20 UTC
Shadow doesnt appear for me in 5.1 daily.

Version: 5.1.1.0.0+
Build ID: aa064e8209e57ac91f16305d38e657d12a42093f
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-1, Time: 2016-02-08_10:16:21
Locale: en-US (en_US.UTF-8)

but does with 5.1.0.2

Version: 5.1.0.2
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
Locale: en-US (en_US.UTF-8)

Seems like the bug was backported.
Comment 5 Xisco Faulí 2016-02-17 09:45:36 UTC
Hi @raal,
Do you mind to bibisect this issue whenever you have some time? Thanks
Comment 6 raal 2016-02-17 12:15:17 UTC

365676e300d14b455214027e6e88a939712d2990 is the first bad commit
commit 365676e300d14b455214027e6e88a939712d2990
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Feb 5 06:36:11 2016 -0800

    source sha:359f43f8e76c3bd85c3daf35b5a6d925a4c8c64f

    source sha:359f43f8e76c3bd85c3daf35b5a6d925a4c8c64f

:040000 040000 fb8f52ad6242045fdd4258380bfecf133bdc5de5 2a4361e9f2f5115301a6d852157cd68c65d01d8e M instdir

author	Xisco Fauli <anistenis@gmail.com>	2016-01-30 00:50:07 (GMT)
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2016-02-01 16:02:38 (GMT)
commit	359f43f8e76c3bd85c3daf35b5a6d925a4c8c64f (patch)
tree	a8e9550b1b8a105999f430f081fef9126f7ae69a
parent	a395a1137d2e9430dfd5fd20e81c9413f06a554d (diff)
tdf#79163: SVGIO: Fix problem with opacity attribute
Comment 7 Xisco Faulí 2016-02-17 14:13:14 UTC
Created attachment 122731 [details]
Sample

@raal, thanks for you help.

The problem is when the opacity value is inherit from its parent as it's multiplied twice
Comment 8 JoNi 2016-05-03 23:28:32 UTC
(In reply to Xisco Faulí from comment #7)
> The problem is when the opacity value is inherit from its parent as it's
> multiplied twice
was it fixed in commit 3041df16f8315859ddf22075eac8f9ad4fa37b8e ?
does it need back port to 5.1?
Comment 9 Björn Michaelsen 2016-07-22 01:52:45 UTC
fixed on master, so per se this is RESOLVED/FIXED for now.
Comment 10 Xisco Faulí 2016-07-22 08:11:10 UTC
This issue is still reproducible in 

Version: 5.3.0.0.alpha0+
Build ID: 9dc3356f1499a2b90078be86ca7470eb2e96aba8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-07-21_23:52:45
Locale: es-ES (es_ES); Calc: group
Comment 11 Xisco Faulí 2016-07-22 08:11:56 UTC
Created attachment 126356 [details]
Comparison between Chrome and Libreoffice
Comment 12 Xisco Faulí 2016-09-26 15:24:39 UTC
Adding Cc: to Xisco Fauli
Comment 13 QA Administrators 2017-10-23 14:04:24 UTC Comment hidden (obsolete)
Comment 14 Roman Kuznetsov 2018-06-20 13:25:43 UTC
Created attachment 142961 [details]
ubuntu.svg - LibreOfficeDev Draw 6.1 beta 2

there is a shadow in LO 6.1 beta 2, but it very very pale.

I don't know, WFM or not=(
Comment 15 Xisco Faulí 2018-06-20 17:35:48 UTC
Still reproducible in

Version: 6.2.0.0.alpha0+
Build ID: 370a30b6acc5b99b6046440f6b5f4f3f5f9f4b1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

using my attachment
Comment 16 QA Administrators 2019-06-21 02:53:48 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug